CVE-2017-11549

NameCVE-2017-11549
DescriptionThe play_midi function in playmidi.c in TiMidity++ 2.14.0 allows remote attackers to cause a denial of service (large loop and CPU consumption) via a crafted mid file. NOTE: CPU consumption might be relevant when using the --background option.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh (attack range: remote)
Debian Bugs870338

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
timidity (PTS)jessie2.13.2-40.2vulnerable
stretch2.13.2-40.5vulnerable
buster, sid2.14.0-8vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
timiditysource(unstable)(unfixed)unimportant870338

Notes

http://seclists.org/fulldisclosure/2017/Jul/83
https://sourceforge.net/p/timidity/discussion/217458/thread/9a1c9620/
Crash in CLI tool, no security impact

Search for package or bug name: Reporting problems